import { RouterLink } from 'vue-router';

export default {
    name: 'ge-main',
    setup() {
        return () => <>
            <header>
                <h1>Generative Energy</h1>
            </header>
            <div class="text-slab">
                <p>
                    This page is dedicated to Dr. Raymond Peat († 2022), who has had a profound impact on my health and
                    my life in general. Hover over the links below for more detail.
                </p>
            </div>
            <div class="text-slab">
                <h2>Links</h2>
                <ul>
                    <li>
                        <RouterLink to={{ name: 'GECalculator' }}>Thyroid Calculator</RouterLink>
                        <span style="display: none" class="tooltip">Convert to and from grains, set ratios, etc.</span>
                    </li>
                    <li>
                        <RouterLink to={{ name: 'GEDeutsch' }}>Ray Peat Articles in German</RouterLink>
                        <span style="display: none" class="tooltip">
                            A selection of articles by Ray that I have translated in my spare time into German.
                        </span>
                    </li>
                </ul>
            </div>
        </>
    },
};
